<?php namespace SokoWeb\Interfaces\Routing;

use Closure;

interface IRouteCollection
{
    public function get(string $id, string $pattern, array $handler): void;

    public function post(string $id, string $pattern, array $handler): void;

    public function group(string $pattern, Closure $group): void;

    public function getRoute(string $id): ?IRoute;

    public function match(string $method, string $uri): ?array;
}
